Support LQ: Use code LQ3 and save $3 on Domain Registration
Go Back > Forums > Linux Forums > Linux - Distributions > Debian
User Name
Debian This forum is for the discussion of Debian Linux.


  Search this Thread
Old 07-17-2011, 10:25 PM   #1
Registered: Jul 2009
Location: CA, USA
Distribution: Debian 7, Ubuntu 14.04
Posts: 120

Rep: Reputation: 26
apt-get update error from

Hi all,
For last couple of days, whenever I am trying to update using apt I am getting this error:
Error message:
Fetch failed: W:GPG error: squeeze-backports Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 85A3D26506C4AE2A, W:Failed to fetch 404 Not Found, E:Some index files failed to download, they have been ignored, or old ones used instead.
My source.list has:
Quote: squeeze-backports iceweasel-5.0
Any idea why this is so? Please let me know if I need to furnish any more info. I am running squeeze.

Old 07-17-2011, 11:56 PM   #2
Registered: Aug 2009
Distribution: Debian testing
Posts: 513

Rep: Reputation: 119Reputation: 119
It seems the directory structure of the repo has changed to this
deb squeeze-backports iceweasel-release
And the key you are missing is here
1 members found this post helpful.
Old 07-18-2011, 05:58 AM   #3
Senior Member
Registered: Apr 2005
Posts: 1,618

Rep: Reputation: 668Reputation: 668Reputation: 668Reputation: 668Reputation: 668Reputation: 668
The changes are due to iceweasel 5 entering unstable (not yet in testing).
Old 07-18-2011, 06:18 AM   #4
Registered: Jul 2009
Location: CA, USA
Distribution: Debian 7, Ubuntu 14.04
Posts: 120

Original Poster
Rep: Reputation: 26
The changed repo seems to work.


mozilla, sid

Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off

Similar Threads
Thread Thread Starter Forum Replies Last Post
Installing from apt-get fails often, apt-get update gives error, etc What should ido? mitchell7man Ubuntu 3 02-27-2012 02:55 AM
LXer: Why is down LXer Syndicated Linux News 0 05-23-2011 06:20 PM
apt-get update error (Debian 4.0) RHTopics Debian 3 11-08-2007 01:49 PM
apt-get update errors since Debian released ( bad /etc/apt/sources.list ?) forgox Debian 10 06-13-2005 12:28 PM

All times are GMT -5. The time now is 09:45 AM.

Main Menu
Write for LQ is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration